> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/zetachain/zeta-chain-crosschain-nodeaccount-index.md).

# /zeta-chain/crosschain/nodeAccount{index}

Queries a nodeAccount by index.

#### **Parameters:**

**None**

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://zetachain.blockpi.network/lcd/v1/<your-api-key>/zeta-chain/crosschain/nodeAccount/zeta15q5rqp40q2kf7nmevhstx6lux4e22nuzpulnr9

// Result
{
  "NodeAccount": {
    "creator": "zeta15q5rqp40q2kf7nmevhstx6lux4e22nuzpulnr9",
    "index": "zeta15q5rqp40q2kf7nmevhstx6lux4e22nuzpulnr9",
    "nodeAddress": "zeta15q5rqp40q2kf7nmevhstx6lux4e22nuzpulnr9",
    "pubkeySet": {
      "secp256k1": "zetapub1addwnpepq0y4zjwqd7aljxme8d5w3wpuelyj55jxhmn6h0u7y695esll6ragyvyanvl",
      "ed25519": ""
    },
    "nodeStatus": "Unknown"
  }
}
```

{% endcode %}
